/**
 * mysql 数据层
 */

import { TablesConfig } from "../config/mysqlTableConfig";
import { mysqlDB } from "../db/mysql/mysqlInit";

let baseDB = {};

export async function initMysqlModel() {
    for (let tableNameCN in TablesConfig) {
        let { tableName, schema } = TablesConfig[tableNameCN];

        let schemaConf = {
            freezeTableName:true, //true表示使用给定的表名，false表示模型名后加s作为表名
            timestamps:false  //true表示给模型加上时间戳属性(createAt、updateAt),false表示不带时间戳属性
        };

        let model =  mysqlDB.define( tableName, schema, schemaConf);
        baseDB[tableName] = model.sync({}).then();

    }

}

export { baseDB };